<nav class="navbar navbar-light bg-light t-nav">
    <div>
      <span><b>SESSIONS SETTINGS (
        <span class="badge badge-success">ADD</span> / 
        <span class="badge badge-danger">DELETE</span>)</b>
      </span>
    </div>
    <div class="right-side d-flex">
        <ul class="navbar-nav" fxLayout="row" fxLayoutAlign="start stretch">
          <span *ngIf="show_date_cnl==true" class="date_cnl" (click)="selectAllCinemaSessions()" 
                fxLayout="row" fxLayoutAlign="center center">
            <i class="far fa-calendar-times"></i>
          </span>
          <form class="form-inline">
            <div class="form-group">
              <div class="input-group">
                <input class="form-control" placeholder="yyyy-mm-dd" (dateSelect)="datePicked()" readonly
                       name="dp" [(ngModel)]="date_picked" ngbDatepicker #d="ngbDatepicker">
                <div class="input-group-append">
                  <button class="btn btn-outline-secondary" (click)="d.toggle()" type="button">
                    <i class="far fa-calendar-alt"></i>
                  </button>
                </div>
              </div>
            </div>
          </form>
          <div class="plus_cont" fxLayout="row" fxLayoutAlign="center center">
            <i class="far fa-plus-square plus_city" (click)="openCreateModal(content1)"></i>
                  <ng-template #content1 let-c="close" let-d="dismiss">
                    <div class="modal-header">
                      <h4 class="modal-title" id="modal-basic-title">Create new Session</h4>
                      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>
                        <div class="form-group">
                          <span (click)="collapse.toggle()" [attr.aria-expanded]="expanded"
                          aria-controls="collapseExample" class="movie-picker-pannel">
                            <span>Movie</span>
                            <span *ngIf="session.original_title"><b>{{session.original_title}}</b></span>
                            <span *ngIf="!session.original_title">Choose a movie</span>
                          </span>
                          <div #collapse="ngbCollapse" [(ngbCollapse)]="!expanded">
                                <app-movies (onMoviePicked)="pickMovie($event)"></app-movies>
                          </div>

                        </div>
  
                        <div class="form-group">
                          <select class="form-control" id="theater" name="theater" 
                                      [(ngModel)]="selectedTheater">
                                      <option value="0">Select-a-theater</option>
                                      <option *ngFor="let theater of theaters" [value]="theater._id">{{theater.name}}</option>
                          </select>
                        </div>
  
                        <div class="form-group" fxLayout="row" fxLayoutAlign="start stretch">
                          <label fxFlex="15" for="start_date"><b>Start date</b></label>
                          <input [owlDateTime]="dt1" id="start_date" name="start_date" 
                          [(ngModel)]="session.startDate" placeholder="Start date" readonly>
                          <span [owlDateTimeTrigger]="dt1" fxLayout="row" fxLayoutAlign="center center">
                            <i class="fa fa-calendar"></i>
                          </span>
                          <owl-date-time #dt1></owl-date-time>
                        </div>
  
                        <div class="form-group" fxLayout="row" fxLayoutAlign="start stretch">
                          <label fxFlex="15" for="end_date"><b>End date</b></label>
                          <input [owlDateTime]="dt2" id="end_date" name="end_date" 
                          [(ngModel)]="session.endDate"  placeholder="End date" readonly>
                          <span [owlDateTimeTrigger]="dt2" fxLayout="row" fxLayoutAlign="center center">
                            <i class="fa fa-calendar"></i>
                          </span>
                          <owl-date-time #dt2></owl-date-time>
                        </div>
  
                        <div class="form-group">
                          <label for="desc">Price</label>
                          <input type="number" class="form-control" [(ngModel)]="session.price" name="price"
                            id="price" min="0.99" max="50">
                        </div>
                        
                      </form>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-outline-primary" (click)="createSession()">Create</button>
                    </div>
                </ng-template>
              </div>
        </ul>
    </div>
  </nav>
  
  <div fxLayout="row wrap" fxLayoutAlign="space-around stretch" fxLayoutGap="15px">
      
      <ng-container *ngFor="let session of sessions">
  
          <div class="card mb-3">
            <div class="row no-gutters">
              <div class="col-4">
                <img [src]="'https://image.tmdb.org/t/p/w500'+session.poster_path" 
                       class="card-img-top" alt="..." (click)="gotoSession(session._id? session._id: '')">
              </div>
              <div class="col-8">
                <div class="card-body">
                  <h5 class="card-title">{{session.title}}</h5>
                  <p class="card-text" fxLayout="row" fxLayoutAlign="start stretch">
                    <span fxFlex="30">FROM</span>
                    <span class="badge badge-info" fxLayout="row" fxLayoutAlign="start center">{{session.startDate | date:'medium'}}</span>
                  </p>
                  <p class="card-text" fxLayout="row" fxLayoutAlign="start stretch">
                    <span fxFlex="30">TO</span>
                    <span class="badge badge-info" fxLayout="row" fxLayoutAlign="start center">{{session.endDate | date:'medium'}}</span>
                  </p>
                  <p class="card-text" fxLayout="row" fxLayoutAlign="start stretch">
                    <span fxFlex="30">PRICE</span>
                    <span class="badge badge-success" fxLayout="row" fxLayoutAlign="start center">{{session.price}} EUR</span>
                  </p>
                  <p class="card-text" fxLayout="row" fxLayoutAlign="start stretch">
                    <span fxFlex="30">THEATER</span>
                    <span class="badge badge-success" fxLayout="row" fxLayoutAlign="start center">{{session.theater!.name}}</span>
                  </p>
                  <p class="card-text" fxLayout="row" fxLayoutAlign="start stretch">
                    <span fxFlex="30">RATING</span>
                    <span fxLayout="row" fxLayoutAlign="start center">
                      <ng-template #t let-fill="fill">
                        <span class="star" [class.full]="fill === 100">
                          <span class="half" [style.width.%]="fill"><em class="fa fa-star text-warning"></em></span><em class="fa fa-star-o text-warning cursor"></em>
                        </span>
                      </ng-template>
                      <ngb-rating [rate]="session.vote_average? +session.vote_average: 0" [starTemplate]="t" [readonly]="true" [max]="10"></ngb-rating>
                    </span>
                  </p>
                  <div fxLayout="row" fxLayoutAlign="end stretch" >
                    <i class="fas fa-trash-alt delete" (click)="openDeleteModal(content)"></i>
                    <ng-template #content let-c="close" let-d="dismiss">
                      <div class="modal-header">
                        <h4 class="modal-title" id="modal-basic-title">Are you sure you want to delete it !</h4>
                        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                      <div class="modal-footer">
                        <button type="button" class="btn btn-outline-danger" (click)="deleteSession(session._id)">Confirm delete</button>
                      </div>
                    </ng-template>
                  </div>
                </div>
              </div>
            </div>
          </div>
  
      </ng-container>
  
    </div>